#
# This is the SPEC file for creating binary and source RPMs for the Qubes DB.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

# Package contains /usr/lib, but not binary files, which confuses find-debuginfo.sh script.
%global debug_package %{nil}

Name:		qubes-db-vm
Version:	4.0.16
Release:	1%{?dist}
Summary:	QubesDB VM service

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org/

Requires:	qubes-db
Requires(post): /bin/systemctl
%{?systemd_requires}
BuildRequires: systemd

Source0: qubes-db-%{version}.tar.gz

%description
QubesDB daemon service.

%prep
%setup -q -n qubes-db-%{version}

%build

%install
install -d %{buildroot}%{_unitdir}
install -p -m 644 daemon/qubes-db.service %{buildroot}%{_unitdir}/

%post
%systemd_post qubes-db.service

%preun
%systemd_preun qubes-db.service

%postun
%systemd_postun_with_restart qubes-db.service

%files
%doc
%{_unitdir}/qubes-db.service

%changelog
* Wed Jan 06 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-qubesdb.git

* Wed Jan 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a71826f
- version 4.0.16

* Wed Jan 06 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 907946b
- Add .gitlab-ci.yml

* Wed Jan 06 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 554243f
- debian: update control for python deps

* Wed Jan 06 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 98a050d
- debian: update compat

* Wed Jan 06 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cdbc60c
- debian: update control

* Fri Oct 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c1e5b5
- version 4.0.15

* Fri Oct 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2de44b
- travis: update config

* Fri Oct 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd2c5c2
- Drop python2 support

* Fri Oct 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 616073a
- version 4.0.14

* Wed May 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ce152b
- version 4.0.13

* Thu Apr 30 2020 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - c0e8c91
- Fix uppercase write bug

* Tue Feb 18 2020 Neowutran <me@neowutran.ovh> - 3984415
- fix QubesOS/qubes-issues#5658, keep python2 in qubesdb.c

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a2f5b36
- travis: switch to bionic

* Sun Sep 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30320e4
- version 4.0.12

* Sun Sep 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 55d36a8
- Fix permissions of header files

* Sun Sep 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0b9383
- daemon: make systemd linking optional

* Sun Sep 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdb06e5
- rpm: fix build dependencies

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e5dcd0
- version 4.0.11

* Fri Aug 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc78f6d
- travis: update Fedora versions, switch to xenial

* Fri Aug 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 799a0f8
- python: fix gcc -Wsign-compare warnings

* Fri Aug 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7c7a33f
- daemon: fix handling empty entries

* Fri Aug 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 598cc4e
- Daemon: fixed crash when trying to remove '/'

* Fri Aug 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9c22f8a
- spec.in: use %{python3_pkgversion}

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1483c29
- version 4.0.10

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 32db462
- travis: add fc29

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87de0cb
- rpm: add BR: gcc

* Sat Sep 29 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - adadcf4
- rpm: add missing BR: systemd-devel

* Fri Sep 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b20e2b
- version 4.0.9

* Fri Aug 03 2018 unman <unman@thirdeyesecurity.org> - 3103035
- Remove wheezy and trusty builds. Consolidate Build-Depends

* Wed Aug 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 586bd96
- debian: unify Build-Depends

* Wed Aug 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f03ff8c
- travis: add fc28 and buster

* Wed Aug 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d7702c
- rpm: use build flags provided by the distribution

* Wed Jul 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6385bcc
- version 4.0.8

* Wed Jul 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0a41f05
- daemon: fix error message format string

* Wed Jul 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d164cc
- version 4.0.7

* Tue Jul 10 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cfab77
- windows: automatically determine newest SDK version

* Sat Jul 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c79b10d
- windows: update for vs2017

* Sat Jul 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b957321
- windows: fix few compile warnings

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4579b63
- version 4.0.6

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a1f1c8
- travis: add centos7

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5938f0
- rpm: fix packaging

* Sat Apr 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e21c9e3
- travis: update Fedora versions

* Fri Apr 20 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 50c2e72
- Fix GCC8 warnings:

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 447d8da
- spec.in: add changelog placeholder

* Sun Jan 28 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 320ad1d
- Remove _builddir

* Wed Jan 24 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 61f0696
- remove _sourcedir (put in Makefile-legacy.fedora) and isolate _builderdir

* Wed Jan 24 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 4eeec6b
- Create spec.in and add Source0

* Sun Oct 22 2017 Olivier MEDOC <o_medoc@yahoo.fr> - 5efa37d
- archlinux: build both python2 and python3 bindings

* Wed Oct 04 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09aef47
- version 4.0.5

* Wed Oct 04 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8856fe0
- Fix handling qdb_list errors

